<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.Xai.XTC2.chk.auto</name>
<version>1</version>
<engineversion>25</engineversion>
<description>dissable command if no best selling price locator</description>
<arguments>
<argument index="1" name="ship" type="Var/Ship" desc="Ship" />
<argument index="2" name="ware" type="Var/Ware" desc="Upgrade" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporation,&#160;764</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var>Part&#160;of&#160;Xai&#160;Corporation&#160;Trade&#160;Command&#160;Software&#160;Mk2</var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="004" indent=""><comment><text>*&#160;</text><var>Checks&#160;for&#160;Trading&#160;System&#160;Extension,&#160;best&#160;buys&#160;and&#160;best&#160;selling&#160;price&#160;locators</var></comment></line>
<line linenr="005" indent=""></line>
<line linenr="006" indent=""><var>$r&#160;=&#160;</var><var>1</var></line>
<line linenr="007" indent=""></line>
<line linenr="008" indent=""><var>$bs&#160;=&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>Best&#160;Selling&#160;Price&#160;Locator</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="009" indent=""><var>$bb&#160;=&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>Best&#160;Buys&#160;Locator</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="010" indent=""><var>$tse&#160;=&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>Trading&#160;system&#160;extension</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="011" indent=""></line>
<line linenr="012" indent=""><var>skip&#160;if&#160;</var><var>$bb</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$bs</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$tse</var></line>
<line linenr="013" indent="&#160;"><var>$r&#160;=&#160;</var><var>2</var></line>
<line linenr="014" indent=""></line>
<line linenr="015" indent=""><text>return&#160;</text><var>$r</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.Xai.XTC2.chk.auto" /><sval type="int" val="25" /><sval type="string" val="dissable command if no best selling price locator" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="array" size="6"><sval type="string" val="ship" /><sval type="string" val="ware" /><sval type="string" val="r" /><sval type="string" val="bs" /><sval type="string" val="bb" /><sval type="string" val="tse" /></sval><sval type="array" size="7"><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="9" /><sval type="int" val="1048609" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="9" /><sval type="int" val="1048608" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="5" /><sval type="int" val="9" /><sval type="int" val="1048590" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="-536869369" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="9" /><sval type="int" val="-2" /><sval type="int" val="9" /><sval type="int" val="-4" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval></sval><sval type="array" size="2"><sval type="array" size="2"><sval type="int" val="21" /><sval type="string" val="Ship" /></sval><sval type="array" size="2"><sval type="int" val="13" /><sval type="string" val="Upgrade" /></sval></sval><sval type="array" size="8"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporation, 764" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Part of Xai Corporation Trade Command Software Mk2" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Checks for Trading System Extension, best buys and best selling price locators" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="1" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="4" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="6" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
